<?php
 
 
 

namespace PhpWA\Protocol\Proto\UserPassword\TransformerArg;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class Value extends \Google\Protobuf\Internal\Message
{
    protected $value;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getAsBlob()
    {
        return $this->readOneof(1);
    }

    public function hasAsBlob()
    {
        return $this->hasOneof(1);
    }

    




    public function setAsBlob($var)
    {
        GPBUtil::checkString($var, False);
        $this->writeOneof(1, $var);

        return $this;
    }

    



    public function getAsUnsignedInteger()
    {
        return $this->readOneof(2);
    }

    public function hasAsUnsignedInteger()
    {
        return $this->hasOneof(2);
    }

    




    public function setAsUnsignedInteger($var)
    {
        GPBUtil::checkUint32($var);
        $this->writeOneof(2, $var);

        return $this;
    }

    


    public function getValue()
    {
        return $this->whichOneof("value");
    }

}

